:PROPERTIES:
:ID:       72eb2d10-5b92-4fb7-9e4e-1398bd933335
:mtime:    20220130133646
:ctime:    20220130131134
:END:
#+title: bash

* Installation
#+BEGIN_SRC shell
apt-get install bash
#+END_SRC

* Tips
** Initialiser une variable non intialisée ou null
#+BEGIN_SRC shell :output dispay
a=
c='AAA'
${a:='coucou'}
${b:=123}
${c:='coucou'}
echo "a=${a}"
echo "b=${b}"
echo "c=${c}"
#+END_SRC

#+RESULTS:
| a=coucou |
| b=123    |
| c=AAA    |
** Initialiser une variable non initialisée
#+BEGIN_SRC shell :output dispay
a=
c='AAA'
${a='coucou'}
${b=123}
${c='coucou'}
echo "a=${a}"
echo "b=${b}"
echo "c=${c}"
#+END_SRC

#+RESULTS:
| a=    |
| b=123 |
| c=AAA |
